Description

Hi,

I'm working with b_indinus_xw as I'm interested in variables from the adult main interview. I'm also using as a filter b_ivfio=1 for full

interviews. When carrying out analyses I get a warning message: warning #3211 which refers to the value of the weight being zero,

negative or missing in some cases. Also comparing the results with and without weights gives a big difference: 50,389 valid cases

against 38,788.

Reading the user guide and previous issues in the user forum I understand that in wave 1 a weight of 0 is given to temporary sample

members who will not be followed in the future. Is this the case for wave 2 too? is this the reason for my warning message and the

discrepancies in valid cases between results with weight and without weight? and am I justified in using this weight? I'm looking at

sports and leisure activities amongst adults.

Thanks, Jen

History

#1 - 04/18/2013 11:51 AM - Olena Kaminska

Jen,

Thanks for the question. As long as you want to infer to the population you must use weights. The value of 0 is correct, but calculated in a very

complex way - the full description is in the technical part of the documentation on weighting. But for your analysis you don't need to know the details.

Just in short: _xw is for cross-sectional analysis. For this weight most TSMs have non-zero values, but 0 values are mostly present for BHPS part of

the sample, and for white British selected through ethnic boost. We are currently working on the weight which will have fewer 0's (by combining BHPS

with UKHLS samples), but because of the theoretical and practical complexities of the procedure this is not ready yet.

In short, ignore the warning message, and continue using weights.

Best,

Olena

#2 - 04/24/2013 01:11 PM - Redmine Admin

- % Done changed from 0 to 50

#3 - 04/30/2013 05:24 PM - Redmine Admin

- Status changed from New to Closed

- % Done changed from 50 to 100
